QwtPlotMarker(3)

NAME
QwtPlotMarker -

A class for drawing markers.

SYNOPSIS

#include <qwt_plot_marker.h>

Inherits QwtPlotItem.

  Public Types

enum LineStyle { NoLine, HLine, VLine, Cross }

  Public Member Functions

QwtPlotMarker ()
virtual ~QwtPlotMarker ()
virtual int rtti () const
double xValue () const
double yValue () const
QwtDoublePoint value () const
void setXValue (double)
void setYValue (double)
void setValue (double, double)
void setValue (const QwtDoublePoint &)
void setLineStyle (LineStyle st)
LineStyle lineStyle () const
void setLinePen (const QPen &p)
const QPen & linePen () const
void setSymbol (const QwtSymbol &s)
const QwtSymbol & symbol () const
void setLabel (const QwtText &)
QwtText label () const
void setLabelAlignment (Qt::Alignment)
Qt::Alignment labelAlignment () const
void setLabelOrientation (Qt::Orientation)
Qt::Orientation labelOrientation () const
void setSpacing (int)
int spacing () const
virtual void draw (QPainter *p, const QwtScaleMap &xMap, const QwtScaleMap &yMap, const QRect &) const
virtual QwtDoubleRect boundingRect () const

  Protected Member Functions

void drawAt (QPainter *, const QRect &, const QPoint &) const

Detailed Description

A class for drawing markers.

A marker can be a horizontal line, a vertical line, a symbol, a label or any combination of them, which can be drawn around a center point inside a bounding rectangle.

The QwtPlotMarker::setSymbol() member assigns a symbol to the marker. The symbol is drawn at the specified point.

With QwtPlotMarker::setLabel(), a label can be assigned to the marker. The QwtPlotMarker::setLabelAlignment() member specifies where the label is drawn. All the Align*-constants in Qt::AlignmentFlags (see Qt documentation) are valid. The interpretation of the alignment depends on the marker's line style. The alignment refers to the center point of the marker, which means, for example, that the label would be printed left above the center point if the alignment was set to AlignLeft|AlignTop.

Member Enumeration Documentation

  enum QwtPlotMarker::LineStyle Line styles.

See also:
    setLineStyle(), lineStyle()

Constructor & Destructor Documentation

  QwtPlotMarker::QwtPlotMarker () [explicit]

Sets alignment to Qt::AlignCenter, and style to NoLine.

  QwtPlotMarker::~QwtPlotMarker () [virtual]

Destructor.

Member Function Documentation

  QwtDoubleRect QwtPlotMarker::boundingRect () const [virtual] Returns:
    An invalid bounding rect: QwtDoubleRect(1.0, 1.0, -2.0, -2.0)

Reimplemented from QwtPlotItem.

  void QwtPlotMarker::draw (QPainter * painter, const QwtScaleMap & xMap, const QwtScaleMap & yMap, const QRect & canvasRect) const [virtual] Draw the marker

Parameters:
    painter Painter
    xMap x Scale Map
    yMap y Scale Map
    canvasRect Contents rect of the canvas in painter coordinates

Implements QwtPlotItem.

  void QwtPlotMarker::drawAt (QPainter * painter, const QRect & canvasRect, const QPoint & pos) const [protected] Draw the marker at a specific position

Parameters:
    painter Painter
    canvasRect Contents rect of the canvas in painter coordinates
    pos Position of the marker in painter coordinates

  QwtText QwtPlotMarker::label () const Returns:
    the label

See also:
    setLabel()

  Qt::Alignment QwtPlotMarker::labelAlignment () const Returns:
    the label alignment

See also:
    setLabelAlignment(), setLabelOrientation()

  Qt::Orientation QwtPlotMarker::labelOrientation () const Returns:
    the label orientation

See also:
    setLabelOrientation(), labelAlignment()

  const QPen & QwtPlotMarker::linePen () const Returns:
    the line pen

See also:
    setLinePen()

  QwtPlotMarker::LineStyle QwtPlotMarker::lineStyle () const Returns:
    the line style

See also:
    For a description of line styles, see QwtPlotMarker::setLineStyle()

  int QwtPlotMarker::rtti () const [virtual] Returns:
    QwtPlotItem::Rtti_PlotMarker

Reimplemented from QwtPlotItem.

  void QwtPlotMarker::setLabel (const QwtText & label)

Set the label. Parameters:
    label label text

See also:
    label()

  void QwtPlotMarker::setLabelAlignment (Qt::Alignment align)

Set the alignment of the label. In case of QwtPlotMarker::HLine the alignment is relative to the y position of the marker, but the horizontal flags correspond to the canvas rectangle. In case of QwtPlotMarker::VLine the alignment is relative to the x position of the marker, but the vertical flags correspond to the canvas rectangle.

In all other styles the alignment is relative to the marker's position.

Parameters:
    align Alignment. A combination of AlignTop, AlignBottom, AlignLeft, AlignRight, AlignCenter, AlgnHCenter, AlignVCenter.

See also:
    labelAlignment(), labelOrientation()

  void QwtPlotMarker::setLabelOrientation (Qt::Orientation orientation)

Set the orientation of the label. When orientation is Qt::Vertical the label is rotated by 90.0 degrees ( from bottom to top ).

Parameters:
    orientation Orientation of the label

See also:
    labelOrientation(), setLabelAlignment()

  void QwtPlotMarker::setLinePen (const QPen & pen) Specify a pen for the line.

The width of non cosmetic pens is scaled according to the resolution of the paint device.

Parameters:
    pen New pen

See also:
    linePen(), QwtPainter::scaledPen()

  void QwtPlotMarker::setLineStyle (QwtPlotMarker::LineStyle st)

Set the line style. Parameters:
    st Line style. Can be one of QwtPlotMarker::NoLine, HLine, VLine or Cross

See also:
    lineStyle()

  void QwtPlotMarker::setSpacing (int spacing)

Set the spacing. When the label is not centered on the marker position, the spacing is the distance between the position and the label.

Parameters:
    spacing Spacing

See also:
    spacing(), setLabelAlignment()

  void QwtPlotMarker::setSymbol (const QwtSymbol & s)

Assign a symbol. Parameters:
    s New symbol

See also:
    symbol()

  void QwtPlotMarker::setValue (const QwtDoublePoint & pos)

Set Value.

  void QwtPlotMarker::setValue (double x, double y)

Set Value.

  void QwtPlotMarker::setXValue (double x)

Set X Value.

  void QwtPlotMarker::setYValue (double y)

Set Y Value.

  int QwtPlotMarker::spacing () const Returns:
    the spacing

See also:
    setSpacing()

  const QwtSymbol & QwtPlotMarker::symbol () const Returns:
    the symbol

See also:
    setSymbol(), QwtSymbol

  QwtDoublePoint QwtPlotMarker::value () const

Return Value.

  double QwtPlotMarker::xValue () const

Return x Value.

  double QwtPlotMarker::yValue () const

Return y Value.

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.